Nimbu Developer Docs
ReferenceCollections

List collections

GET
/collections

Returns all product collections for the site with names and slugs.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Response Body

application/json

curl -X GET "https://example.com/collections"
[
  {
    "id": "string",
    "url": "http://example.com",
    "product_count": 0,
    "status": "string",
    "type": "string",
    "featured_image": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "images": [],
    "name": "string",
    "slug": "string",
    "fullpath": "string",
    "description": "string",
    "seo_title": "string",
    "seo_description": "string",
    "seo_keywords": "string"
  }
]
Empty